%{?scl:%scl_package python-zope-deprecation}
%{!?scl:%global pkg_name %{name}}

%define modname zope.deprecation

Name:           %{?scl_prefix}python-zope-deprecation
Version:        4.1.1
Release:        6%{?dist}
Summary:        Zope 3 Deprecation Infrastructure

Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.deprecation
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}

%description
This package provides a simple function called 'deprecated(names, reason)' to
deprecate the previously mentioned Python objects.

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
%{?scl:EOF}
rm -f %{buildroot}%{python_sitelib}/zope/deprecation/tests.py*

%check
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py test
%{?scl:EOF}

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/zope/deprecation/
%{python_sitelib}/%{modname}-%{version}-*

%changelog
* Mon Oct 27 2014 Slavek Kabrda <bkabrda@redhat.com> - 4.1.1-6
- Rebuilt for SCL

* Tue Oct 14 2014 Ralph Bean <rbean@redhat.com> - 4.1.1-4
- Corrected with_python3 conditional for epel7.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun May 04 2014 Luke Macken <lmacken@redhat.com> - 4.1.1-1
- Update to 4.1.1
- Include the license
- Fix the changelog per rpmlint

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 3.5.1-4
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 28 2012 Ralph Bean <rbean@redhat.com> - 3.5.1-1
- More modern upstream version.
- Added python3 packaging.
- Removed unnecessary defattr and clean section.
- Added check section.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  2 2010 Luke Macken <lmacken@redhat.com> - 3.4.0-1
- Initial package
